<script lang="ts">
    import { onMount } from 'svelte';
    import { page } from '$app/stores';
    import { fade, slide } from 'svelte/transition';
    import { goto } from '$app/navigation';
    import { families, champions, type Family, type Champion } from '$lib/tftData';
  
    let family: Family | undefined;
    let familyChampions: Champion[] = [];
    let familyId = $page.params.id;
    let familyIndex = families.findIndex(f => f.id === familyId);
    let prevFamily = familyIndex > 0 ? families[familyIndex - 1] : null;
    let nextFamily = familyIndex < families.length - 1 ? families[familyIndex + 1] : null;
  
    onMount(() => {
      family = families.find(f => f.id === familyId);
      familyChampions = champions.filter(champion => champion.familyId === familyId);
    });

    function navigate(url) {
    window.location.href = url;
  }

  </script>
  
  {#if family}
    <div class="container mt-4">
      <h2 class="mb-4">{family.name}</h2>
      <div class="row">
        <div class="col-12 mb-3">
          <div class="image-navigation d-flex align-items-center justify-content-center">
            {#if prevFamily}
            <button class="btn btn-secondary mr-2" on:click={() => navigate(`/familles/${prevFamily.id}`)}>← {prevFamily.name}</button>
              {/if}
            <img src={family.image} class="card-img-top mx-3" alt={`Image de la famille ${family.name}`}>
            {#if nextFamily}
          <button class="btn btn-secondary mr-2" on:click={() => navigate(`/familles/${nextFamily.id}`)}>{nextFamily.name} →</button>
          {/if}
          </div>
          <div class="card-body">
            <h5 class="card-title">{family.name}</h5>
            <p class="card-text">{family.description}</p>
          </div>
        </div>
      </div>
  
      <!-- Affichage des champions de la famille -->
      <div class="row">
        {#each familyChampions as champion (champion.id)}
            <div class="col-sm-6 col-md-4 col-lg-3 mb-3" in:slide={{ delay: 200, duration: 300 }}>
            <div class="card h-100 champion-card">
            <img src={champion.image} class="card-img-top card-img-container" alt={champion.name}>
            <div class="card-body">
                <h5 class="card-title">{champion.name}</h5>
                <p class="card-text">{champion.description}</p>
                <a href={`/champions/${champion.name}`} class="btn btn-primary mt-2">En savoir plus</a>
            </div>
            </div>
        </div>
        {/each}
      </div>
    </div>
  {:else}
    <p class="container mt-4">Famille introuvable.</p>
  {/if}
  
  <style>
    .card-img-top {
      object-fit: cover;
      height: 200px;
      width: auto;
      max-width: 100%;
    }
  
    .image-navigation {
      justify-content: space-between;
      background-color: #f0f0f0; /* Fond derrière l'image de la famille */
      padding: 20px;
      border-radius: 8px; /* Arrondit les coins */
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Ajoute une légère ombre */
    }
  
    .card-img-container {
    background-color: #f8f9fa;
    padding: 1rem;
    border-radius: 0.5rem;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    margin-bottom: 2rem;
  }

  .champion-card {
    background-color: #f8f9fa;
    border-radius: 0.5rem;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  }
  .champion-card:hover {
    transform: translateY(-5px);
    transition: transform 0.2s ease-in-out, box-shadow 0.2s ease-in-out;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
  }
  
    .mr-2, .ml-2 {
      margin-right: 1rem;
      margin-left: 1rem;
    }
  </style>
  
  